"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.sanitizeFilename = void 0;
const log = require("loglevel");
const constants_1 = require("../constants");
// eslint-disable-next-line @typescript-eslint/no-var-requires
const sanitize = require('sanitize-filename');
function sanitizeFilename(platform, filenameToSanitize) {
    let result = sanitize(filenameToSanitize);
    // remove all non ascii / file-problematic chars, or use default app name
    /* eslint-disable no-control-regex */
    result =
        result.replace(/[^\x00-\x7F]/g, '').replace(/[/,;.\\]/g, '') ||
            constants_1.DEFAULT_APP_NAME;
    /* eslint-enable no-control-regex */
    // spaces will cause problems with Ubuntu when pinned to the dock
    if (platform === 'linux') {
        result = result.replace(/\s/g, '');
    }
    log.debug(`Sanitized filename for ${filenameToSanitize} : ${result}`);
    return result;
}
exports.sanitizeFilename = sanitizeFilename;
//# sourceMappingURL=sanitizeFilename.js.map